Bug 452825 - *** glibc detected *** ruby: munmap_chunk(): invalid pointer: 0x09eaace8 ***
*** glibc detected *** ruby: munmap_chunk(): invalid pointer: 0x09eaace8 ***
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
: 453060 453494 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 07:33 EDT by Robert Scheck
Modified: 2008-07-26 02:11 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.8.6.230-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 01:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-06-25 07:33:37 EDT
Description of problem:
*** glibc detected *** ruby: munmap_chunk(): invalid pointer: 0x09eaace8 ***
======= Backtrace: =========
/lib/libc.so.6[0xb787e4]
/usr/lib/libruby.so.1.8[0x7dccd4]
/usr/lib/libruby.so.1.8(rb_newobj+0x65)[0x7dcdb5]
/usr/lib/libruby.so.1.8[0x82ebd7]
/usr/lib/libruby.so.1.8(rb_str_buf_new+0x2d)[0x82f39d]
/usr/lib/libruby.so.1.8(rb_str_buf_new2+0x2f)[0x82f77f]
/usr/lib/libruby.so.1.8[0x8172d2]
/usr/lib/libruby.so.1.8[0x7bce32]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c8bdc]
/usr/lib/libruby.so.1.8(rb_funcall+0x24)[0x7c8d54]
/usr/lib/libruby.so.1.8(rb_obj_as_string+0x6a)[0x8330aa]
/usr/lib/libruby.so.1.8[0x7c3f4d]
/usr/lib/libruby.so.1.8[0x7c40cb]
/usr/lib/libruby.so.1.8[0x7c2b9d]
/usr/lib/libruby.so.1.8[0x7c368d]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c4faf]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c2720]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c6287]
/usr/lib/libruby.so.1.8(rb_yield+0x27)[0x7d1a07]
/usr/lib/libruby.so.1.8[0x8336ce]
/usr/lib/libruby.so.1.8[0x7bce50]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c59f1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c6287]
/usr/lib/libruby.so.1.8(rb_yield+0x27)[0x7d1a07]
/usr/lib/libruby.so.1.8[0x7a9cd4]
/usr/lib/libruby.so.1.8[0x7bce32]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c59f1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c2720]
/usr/lib/libruby.so.1.8[0x7c24ca]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c2894]
/usr/lib/libruby.so.1.8[0x7c2894]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c8650]
/usr/lib/libruby.so.1.8[0x7bce50]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 08:02 793945    
/usr/lib/ruby/1.8/i386-linux/thread.so
00115000-00116000 rw-p 00003000 08:02 793945    
/usr/lib/ruby/1.8/i386-linux/thread.so
00116000-00121000 r-xp 00000000 08:02 793940    
/usr/lib/ruby/1.8/i386-linux/socket.so
00121000-00122000 rw-p 0000a000 08:02 793940    
/usr/lib/ruby/1.8/i386-linux/socket.so
00122000-00126000 r-xp 00000000 08:02 793941    
/usr/lib/ruby/1.8/i386-linux/stringio.so
00126000-00127000 rw-p 00004000 08:02 793941    
/usr/lib/ruby/1.8/i386-linux/stringio.so
00127000-00143000 r-xp 00000000 08:02 793943    
/usr/lib/ruby/1.8/i386-linux/syck.so
00143000-00144000 rw-p 0001c000 08:02 793943    
/usr/lib/ruby/1.8/i386-linux/syck.so
00144000-0014d000 r-xp 00000000 08:02 793946    
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014d000-0014e000 rw-p 00008000 08:02 793946    
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014e000-00151000 r-xp 00000000 08:02 793918    
/usr/lib/ruby/1.8/i386-linux/digest.so
00151000-00152000 rw-p 00002000 08:02 793918    
/usr/lib/ruby/1.8/i386-linux/digest.so
00152000-00155000 r-xp 00000000 08:02 793923    
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00155000-00156000 rw-p 00002000 08:02 793923    
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00156000-00191000 r-xp 00000000 08:02 793933    
/usr/lib/ruby/1.8/i386-linux/openssl.so
00191000-00193000 rw-p 0003b000 08:02 793933    
/usr/lib/ruby/1.8/i386-linux/openssl.so
00193000-001ad000 r-xp 00000000 08:02 163846     /lib/libselinux.so.1
001ad000-001ae000 r--p 00019000 08:02 163846     /lib/libselinux.so.1
001ae000-001af000 rw-p 0001a000 08:02 163846     /lib/libselinux.so.1
001af000-001b0000 r-xp 00000000 08:02 793927    
/usr/lib/ruby/1.8/i386-linux/fcntl.so
001b0000-001b1000 rw-p 00000000 08:02 793927    
/usr/lib/ruby/1.8/i386-linux/fcntl.so
001b1000-001b3000 r-xp 00000000 08:02 793925    
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b3000-001b4000 rw-p 00001000 08:02 793925    
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b4000-001ec000 r-xp 00000000 08:02 793932     /usr/lib/ruby/1.8/i386-linux/nkf.so
001ec000-001ee000 rw-p 00038000 08:02 793932     /usr/lib/ruby/1.8/i386-linux/nkf.so
001ee000-001f0000 rw-p 001ee000 00:00 0 
001f0000-001fa000 r-xp 00000000 08:02 793914    
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001fa000-001fb000 rw-p 00009000 08:02 793914    
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001fb000-001ff000 r-xp 00000000 08:02 793942    
/usr/lib/ruby/1.8/i386-linux/strscan.so
001ff000-00200000 rw-p 00004000 08:02 793942    
/usr/lib/ruby/1.8/i386-linux/strscan.so
00200000-00202000 r-xp 00000000 08:02 793926     /usr/lib/ruby/1.8/i386-linux/etc.so
00202000-00203000 rw-p 00001000 08:02 793926     /usr/lib/ruby/1.8/i386-linux/etc.so
00203000-00209000 r-xp 00000000 08:02 795118    
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
00209000-0020a000 rw-p 00005000 08:02 795118    
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
0020a000-0020e000 r-xp 00000000 08:02 795117    
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020e000-0020f000 rw-p 00003000 08:02 795117    
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020f000-00211000 r-xp 00000000 08:02 793920    
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00211000-00212000 rw-p 00001000 08:02 793920    
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00212000-00215000 r-xp 00000000 08:02 793936    
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00215000-00216000 rw-p 00002000 08:02 793936    
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00216000-0021a000 r-xp 00000000 08:02 793929    
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021a000-0021b000 rw-p 00003000 08:02 793929    
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021b000-0022f000 r-xp 00000000 08:02 795119    
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
0022f000-00230000 rw-p 00014000 08:02 795119    
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
00230000-00353000 r-xp 00000000 08:02 730541    
/usr/lib/mysql/libmysqlclient.so.15.0.0
00353000-00395000 rw-p 00122000 08:02 730541    
/usr/lib/mysql/libmysqlclient.so.15.0.0
00395000-00396000 rw-p 00395000 00:00 0 
00396000-003a0000 r-xp 00000000 08:02 163656     /lib/libnss_files-2.8.so
003a0000-003a1000 r--p 0000a000 08:02 163656     /lib/libnss_files-2.8.so
003a1000-003a2000 rw-p 0000b000 08:02 163656     /lib/libnss_files-2.8.so
00479000-0049d000 r-xp 00000000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
0049d000-0049e000 rw-p 00024000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
00568000-00605000 r-xp 00000000 08:02 1332780    /usr/lib/libkrb5.so.3.3
00605000-00608000 rw-p 0009c000 08:02 1332780    /usr/lib/libkrb5.so.3.3
006a0000-006e7000 r-xp 00000000 08:02 163931     /lib/libssl.so.0.9.8g
006e7000-006eb000 rw-p 00046000 08:02 163931     /lib/libssl.so.0.9.8g
00796000-00867000 r-xp 00000000 08:02 647148     /usr/lib/libruby.so.1.8.6
00867000-0087f000 rw-p 000d1000 08:02 647148     /usr/lib/libruby.so.1.8.6
0087f000-0088f000 rw-p 0087f000 00:00 0 
008f4000-008f6000 r-xp 00000000 08:02 165038     /lib/libcom_err.so.2.1
008f6000-008f7000 rw-p 00001000 08:02 165038     /lib/libcom_err.so.2.1
008f9000-00901000 r-xp 00000000 08:02 1332778    /usr/lib/libkrb5support.so.0.1
00901000-00902000 rw-p 00007000 08:02 1332778    /usr/lib/libkrb5support.so.0.1
00a0b000-00a21000 r-xp 00000000 08:02 163940     /lib/libnsl-2.8.so
00a21000-00a22000 r--p 00015000 08:02 163940     /lib/libnsl-2.8.so
00a22000-00a23000 rw-p 00016000 08:02 163940     /lib/libnsl-2.8.so
00a23000-00a25000 rw-p 00a23000 00:00 0 
00a27000-00a38000 r-xp 00000000 08:02 163942     /lib/libresolv-2.8.so
00a38000-00a39000 r--p 00010000 08:02 163942     /lib/libresolv-2.8.so
00a39000-00a3a000 rw-p 00011000 08:02 163942     /lib/libresolv-2.8.so
00a3a000-00a3c000 rw-p 00a3a000 00:00 0 
00a5e000-00a6b000 r-xp 00000000 08:02 164539     /lib/libgcc_s-4.3.0-20080428.so.1
00a6b000-00a6c000 rw-p 0000c000 08:02 164539     /lib/libgcc_s-4.3.0-20080428.so.1
00a6e000-00a9b000 r-xp 00000000 08:02 1332782    /usr/lib/libgssapi_krb5.so.2.2
00a9b000-00a9d000 rw-p 0002d000 08:02 1332782   Aborted

Version-Release number of selected component (if applicable):
ruby-1.8.6.230-1.fc9

How reproducible:
No matter, happens *very* often.

Actual results:
Invalid pointer, abort.

Expected results:
No invalid pointer, working.
Comment 1 Akira TAGOH 2008-06-25 09:13:01 EDT
Try 1.8.6.230-2.fc9.
Comment 2 Robert Scheck 2008-06-25 10:06:15 EDT
Completed in 0.01195 (83 reqs/sec) | Rendering: 0.00159 (13%) | DB: 0.00105 (8%)
| 200 OK [http://localhost/admin/branchen/8]
/usr/lib/ruby/1.8/pathname.rb:205: [BUG] Segmentation fault
ruby 1.8.6 (2008-06-20) [i386-linux]

Aborted

*** glibc detected *** ruby: corrupted double-linked list: 0x09c08258 ***
======= Backtrace: =========
/lib/libc.so.6[0xb787e4]
/lib/libc.so.6[0xb7a613]
/lib/libc.so.6(cfree+0x96)[0xb7a846]
/usr/lib/libruby.so.1.8[0x7dc9d4]
/usr/lib/libruby.so.1.8(ruby_xmalloc+0x7d)[0x7dceed]
/usr/lib/libruby.so.1.8[0x82ec6f]
/usr/lib/libruby.so.1.8(rb_str_new2+0x32)[0x82f7e2]
/usr/lib/libruby.so.1.8[0x7c0625]
/usr/lib/libruby.so.1.8[0x7c07cd]
/usr/lib/libruby.so.1.8[0x7bce50]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c24ca]
/usr/lib/libruby.so.1.8[0x7c2bb0]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8(rb_call_super+0x7b)[0x7d0eab]
/usr/lib/libruby.so.1.8[0x7c2830]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c8bdc]
/usr/lib/libruby.so.1.8(rb_funcall+0x24)[0x7c8d54]
/usr/lib/libruby.so.1.8[0x84141f]
/usr/lib/libruby.so.1.8[0x7c2ace]
/usr/lib/libruby.so.1.8[0x7c5e28]
/usr/lib/libruby.so.1.8[0x7c445b]
/usr/lib/libruby.so.1.8(rb_load+0x502)[0x7d46b2]
/usr/lib/libruby.so.1.8[0x7d4817]
/usr/lib/libruby.so.1.8[0x7bce50]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c6287]
/usr/lib/libruby.so.1.8[0x7c2992]
/usr/lib/libruby.so.1.8[0x7c5535]
/usr/lib/libruby.so.1.8[0x7c5535]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c59f1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c53d8]
/usr/lib/libruby.so.1.8[0x7c3629]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c53d8]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c6287]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 08:02 793945    
/usr/lib/ruby/1.8/i386-linux/thread.so
00115000-00116000 rw-p 00003000 08:02 793945    
/usr/lib/ruby/1.8/i386-linux/thread.so
00116000-00121000 r-xp 00000000 08:02 793940    
/usr/lib/ruby/1.8/i386-linux/socket.so
00121000-00122000 rw-p 0000a000 08:02 793940    
/usr/lib/ruby/1.8/i386-linux/socket.so
00122000-00126000 r-xp 00000000 08:02 793941    
/usr/lib/ruby/1.8/i386-linux/stringio.so
00126000-00127000 rw-p 00004000 08:02 793941    
/usr/lib/ruby/1.8/i386-linux/stringio.so
00127000-00143000 r-xp 00000000 08:02 793943    
/usr/lib/ruby/1.8/i386-linux/syck.so
00143000-00144000 rw-p 0001c000 08:02 793943    
/usr/lib/ruby/1.8/i386-linux/syck.so
00144000-0014d000 r-xp 00000000 08:02 793946    
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014d000-0014e000 rw-p 00008000 08:02 793946    
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014e000-00151000 r-xp 00000000 08:02 793918    
/usr/lib/ruby/1.8/i386-linux/digest.so
00151000-00152000 rw-p 00002000 08:02 793918    
/usr/lib/ruby/1.8/i386-linux/digest.so
00152000-00155000 r-xp 00000000 08:02 793923    
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00155000-00156000 rw-p 00002000 08:02 793923    
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00156000-00191000 r-xp 00000000 08:02 793933    
/usr/lib/ruby/1.8/i386-linux/openssl.so
00191000-00193000 rw-p 0003b000 08:02 793933    
/usr/lib/ruby/1.8/i386-linux/openssl.so
00193000-001ad000 r-xp 00000000 08:02 163846     /lib/libselinux.so.1
001ad000-001ae000 r--p 00019000 08:02 163846     /lib/libselinux.so.1
001ae000-001af000 rw-p 0001a000 08:02 163846     /lib/libselinux.so.1
001af000-001b0000 r-xp 00000000 08:02 793927    
/usr/lib/ruby/1.8/i386-linux/fcntl.so
001b0000-001b1000 rw-p 00000000 08:02 793927    
/usr/lib/ruby/1.8/i386-linux/fcntl.so
001b1000-001b3000 r-xp 00000000 08:02 793925    
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b3000-001b4000 rw-p 00001000 08:02 793925    
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b4000-001be000 r-xp 00000000 08:02 793914    
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001be000-001bf000 rw-p 00009000 08:02 793914    
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001bf000-001f7000 r-xp 00000000 08:02 793932     /usr/lib/ruby/1.8/i386-linux/nkf.so
001f7000-001f9000 rw-p 00038000 08:02 793932     /usr/lib/ruby/1.8/i386-linux/nkf.so
001f9000-001fb000 rw-p 001f9000 00:00 0
001fb000-001ff000 r-xp 00000000 08:02 793942    
/usr/lib/ruby/1.8/i386-linux/strscan.so
001ff000-00200000 rw-p 00004000 08:02 793942    
/usr/lib/ruby/1.8/i386-linux/strscan.so
00200000-00202000 r-xp 00000000 08:02 793926     /usr/lib/ruby/1.8/i386-linux/etc.so
00202000-00203000 rw-p 00001000 08:02 793926     /usr/lib/ruby/1.8/i386-linux/etc.so
00203000-00209000 r-xp 00000000 08:02 795118    
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
00209000-0020a000 rw-p 00005000 08:02 795118    
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
0020a000-0020e000 r-xp 00000000 08:02 795117    
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020e000-0020f000 rw-p 00003000 08:02 795117    
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020f000-00211000 r-xp 00000000 08:02 793920    
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00211000-00212000 rw-p 00001000 08:02 793920    
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00212000-00215000 r-xp 00000000 08:02 793936    
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00215000-00216000 rw-p 00002000 08:02 793936    
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00216000-0021a000 r-xp 00000000 08:02 793929    
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021a000-0021b000 rw-p 00003000 08:02 793929    
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021b000-0022f000 r-xp 00000000 08:02 795119    
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
0022f000-00230000 rw-p 00014000 08:02 795119    
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
00230000-00353000 r-xp 00000000 08:02 730541    
/usr/lib/mysql/libmysqlclient.so.15.0.0
00353000-00395000 rw-p 00122000 08:02 730541    
/usr/lib/mysql/libmysqlclient.so.15.0.0
00395000-00396000 rw-p 00395000 00:00 0
00396000-003a0000 r-xp 00000000 08:02 163656     /lib/libnss_files-2.8.so
003a0000-003a1000 r--p 0000a000 08:02 163656     /lib/libnss_files-2.8.so
003a1000-003a2000 rw-p 0000b000 08:02 163656     /lib/libnss_files-2.8.so
00479000-0049d000 r-xp 00000000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
0049d000-0049e000 rw-p 00024000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
00568000-00605000 r-xp 00000000 08:02 1332780    /usr/lib/libkrb5.so.3.3
00605000-00608000 rw-p 0009c000 08:02 1332780    /usr/lib/libkrb5.so.3.3
006a0000-006e7000 r-xp 00000000 08:02 163931     /lib/libssl.so.0.9.8g
006e7000-006eb000 rw-p 00046000 08:02 163931     /lib/libssl.so.0.9.8g
00796000-00867000 r-xp 00000000 08:02 647148     /usr/lib/libruby.so.1.8.6
00867000-0087f000 rw-p 000d1000 08:02 647148     /usr/lib/libruby.so.1.8.6
0087f000-0088f000 rw-p 0087f000 00:00 0
008f4000-008f6000 r-xp 00000000 08:02 165038     /lib/libcom_err.so.2.1
008f6000-008f7000 rw-p 00001000 08:02 165038     /lib/libcom_err.so.2.1
008f9000-00901000 r-xp 00000000 08:02 1332778    /usr/lib/libkrb5support.so.0.1
00901000-00902000 rw-p 00007000 08:02 1332778    /usr/lib/libkrb5support.so.0.1
00a0b000-00a21000 r-xp 00000000 08:02 163940     /lib/libnsl-2.8.so
00a21000-00a22000 r--p 00015000 08:02 163940     /lib/libnsl-2.8.so
00a22000-00a23000 rw-p 00016000 08:02 163940     /lib/libnsl-2.8.so
00a23000-00a25000 rw-p 00a23000 00:00 0
00a27000-00a38000 r-xp 00000000 08:02 163942     /lib/libresolv-2.8.so
00a38000-00a39000 r--p 00010000 08:02 163942     /lib/libresolv-2.8.so
00a39000-00a3a000 rw-p 00011000 08:02 163942     /lib/libresolv-2.8.so
00a3a000-00a3c000 rw-p 00a3a000 00:00 0
00a5e000-00a6b000 r-xp 00000000 08:02 164539     /lib/libgcc_s-4.3.0-20080428.so.1
00a6b000-00a6c000 rw-p 0000c000 08:02 164539     /lib/libgcc_s-4.3.0-20080428.so.1
00a6e000-00a9b000 r-xp 00000000 08:02 1332782    /usr/lib/libgssapi_krb5.so.2.2
00a9b000-00a9d000 rw-p 0002d000 08:02 1332782    /usr/lib/libgssapi_krb5.so.2.2
00aa5000-00aa7000 r-xp 00000000 08:02 163941     /lib/libkeyutils-1.2.so
00aa7000-00aa8000 rw-p 00001000 08:02 163941     /lib/libkeyutils-1.2.so
00aeb000-00b07000 r-xp 00000000 08:02 163848     /lib/ld-2.8.so
00b07000-00b08000 r--p 0001c000 08:02 163848     /lib/ld-2.8.so
00b08000-00b09000 rw-p 0001d000 08:02 163848     /lib/ld-2.8.so
00b0b000-00c6e000 r-xp 00000000 08:02 163905     /lib/libc-2.8.so
00c6e000-00c70000 r--p 00163000 08:02 163905     /lib/libc-2.8.so
00c70000-00c71000 rw-p 00165000 08:02 163905     /lib/libc-2.8.so
00c71000-00c74000 rw-p 00c71000 00:00 0
00c76000-00c9d000 r-xp 00000000 08:02 163913     /lib/libm-2.8.so
00c76000-00c9d000 r-xp 00000000 08:02 163913     /lib/libm-2.8.so
00c9d000-00c9e000 r--p 00026000 08:02 163913     /lib/libm-2.8.so
00c9e000-00c9f000 rw-p 00027000 08:02 163913     /lib/libm-2.8.so
00ca1000-00ca4000 r-xp 00000000 08:02 163916     /lib/libdl-2.8.so
00ca4000-00ca5000 r--p 00002000 08:02 163916     /lib/libdl-2.8.so
00ca5000-00ca6000 rw-p 00003000 08:02 163916     /lib/libdl-2.8.so
00ca8000-00Aborted

*** glibc detected *** ruby: munmap_chunk(): invalid pointer: 0x0908b4c8 ***
======= Backtrace: =========
/lib/libc.so.6[0xb787e4]
/usr/lib/libruby.so.1.8[0x7dccd4]
/usr/lib/libruby.so.1.8(ruby_xmalloc+0x7d)[0x7dceed]
/usr/lib/libruby.so.1.8(ruby_xcalloc+0x29)[0x7dd389]
/usr/lib/libruby.so.1.8(st_init_table_with_size+0x6e)[0x82c6ce]
/usr/lib/libruby.so.1.8(st_init_table+0x25)[0x82c775]
/usr/lib/libruby.so.1.8(st_init_numtable+0x20)[0x82c7d0]
/usr/lib/libruby.so.1.8(rb_ivar_set+0x1c5)[0x840285]
/usr/lib/libruby.so.1.8[0x7f86e6]
/usr/lib/libruby.so.1.8[0x7bce0a]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c6287]
/usr/lib/libruby.so.1.8(rb_yield+0x27)[0x7d1a07]
/usr/lib/libruby.so.1.8[0x7aaef6]
/usr/lib/libruby.so.1.8[0x7bce32]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c59f1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c24ca]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c368d]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c3831]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c25b1]
/usr/lib/libruby.so.1.8[0x7c38e5]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c8650]
/usr/lib/libruby.so.1.8[0x7bce50]
/usr/lib/libruby.so.1.8[0x7c7c6e]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c2720]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c26d1]
/usr/lib/libruby.so.1.8[0x7c7b71]
/usr/lib/libruby.so.1.8[0x7c7e0a]
/usr/lib/libruby.so.1.8[0x7c2720]
/usr/lib/libruby.so.1.8[0x7c6287]
/usr/lib/libruby.so.1.8[0x7c2992]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 08:02 793945
/usr/lib/ruby/1.8/i386-linux/thread.so
00115000-00116000 rw-p 00003000 08:02 793945
/usr/lib/ruby/1.8/i386-linux/thread.so
00116000-00121000 r-xp 00000000 08:02 793940
/usr/lib/ruby/1.8/i386-linux/socket.so
00121000-00122000 rw-p 0000a000 08:02 793940
/usr/lib/ruby/1.8/i386-linux/socket.so
00122000-00126000 r-xp 00000000 08:02 793941
/usr/lib/ruby/1.8/i386-linux/stringio.so
00126000-00127000 rw-p 00004000 08:02 793941
/usr/lib/ruby/1.8/i386-linux/stringio.so
00127000-00143000 r-xp 00000000 08:02 793943
/usr/lib/ruby/1.8/i386-linux/syck.so
00143000-00144000 rw-p 0001c000 08:02 793943
/usr/lib/ruby/1.8/i386-linux/syck.so
00144000-0014d000 r-xp 00000000 08:02 793946
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014d000-0014e000 rw-p 00008000 08:02 793946
/usr/lib/ruby/1.8/i386-linux/zlib.so
0014e000-00151000 r-xp 00000000 08:02 793918
/usr/lib/ruby/1.8/i386-linux/digest.so
00151000-00152000 rw-p 00002000 08:02 793918
/usr/lib/ruby/1.8/i386-linux/digest.so
00152000-00155000 r-xp 00000000 08:02 793923
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00155000-00156000 rw-p 00002000 08:02 793923
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
00156000-00191000 r-xp 00000000 08:02 793933
/usr/lib/ruby/1.8/i386-linux/openssl.so
00191000-00193000 rw-p 0003b000 08:02 793933
/usr/lib/ruby/1.8/i386-linux/openssl.so
00193000-001ad000 r-xp 00000000 08:02 163846     /lib/libselinux.so.1
001ad000-001ae000 r--p 00019000 08:02 163846     /lib/libselinux.so.1
001ae000-001af000 rw-p 0001a000 08:02 163846     /lib/libselinux.so.1
001af000-001b0000 r-xp 00000000 08:02 793927
/usr/lib/ruby/1.8/i386-linux/fcntl.so
001b0000-001b1000 rw-p 00000000 08:02 793927
001b1000-001b3000 r-xp 00000000 08:02 793925
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b3000-001b4000 rw-p 00001000 08:02 793925
/usr/lib/ruby/1.8/i386-linux/enumerator.so
001b4000-001be000 r-xp 00000000 08:02 793914
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001be000-001bf000 rw-p 00009000 08:02 793914
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
001bf000-001f7000 r-xp 00000000 08:02 793932
/usr/lib/ruby/1.8/i386-linux/nkf.so
001f7000-001f9000 rw-p 00038000 08:02 793932
/usr/lib/ruby/1.8/i386-linux/nkf.so
001f9000-001fb000 rw-p 001f9000 00:00 0
001fb000-001ff000 r-xp 00000000 08:02 793942
/usr/lib/ruby/1.8/i386-linux/strscan.so
001ff000-00200000 rw-p 00004000 08:02 793942
/usr/lib/ruby/1.8/i386-linux/strscan.so
00200000-00202000 r-xp 00000000 08:02 793926
/usr/lib/ruby/1.8/i386-linux/etc.so
00202000-00203000 rw-p 00001000 08:02 793926
/usr/lib/ruby/1.8/i386-linux/etc.so
00203000-00209000 r-xp 00000000 08:02 795118
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
00209000-0020a000 rw-p 00005000 08:02 795118
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
0020a000-0020e000 r-xp 00000000 08:02 795117
Everything still heavily broken on Fedora 9 - same problems on Fedora 8.

/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020e000-0020f000 rw-p 00003000 08:02 795117
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
0020f000-00211000 r-xp 00000000 08:02 793920
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00211000-00212000 rw-p 00001000 08:02 793920
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00212000-00215000 r-xp 00000000 08:02 793936
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00215000-00216000 rw-p 00002000 08:02 793936
00212000-00215000 r-xp 00000000 08:02 793936
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00215000-00216000 rw-p 00002000 08:02 793936
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
00216000-0021a000 r-xp 00000000 08:02 793929
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021a000-0021b000 rw-p 00003000 08:02 793929
/usr/lib/ruby/1.8/i386-linux/iconv.so
0021b000-0022f000 r-xp 00000000 08:02 795119
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
0022f000-00230000 rw-p 00014000 08:02 795119
/usr/lib/ruby/site_ruby/1.8/i386-linux/mysql.so
00230000-00353000 r-xp 00000000 08:02 730541
/usr/lib/mysql/libmysqlclient.so.15.0.0
00353000-00395000 rw-p 00122000 08:02 730541
/usr/lib/mysql/libmysqlclient.so.15.0.0
00395000-00396000 rw-p 00395000 00:00 0
00396000-003a0000 r-xp 00000000 08:02 163656     /lib/libnss_files-2.8.so
003a0000-003a1000 r--p 0000a000 08:02 163656     /lib/libnss_files-2.8.so
003a1000-003a2000 rw-p 0000b000 08:02 163656     /lib/libnss_files-2.8.so
00479000-0049d000 r-xp 00000000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
0049d000-0049e000 rw-p 00024000 08:02 1332779    /usr/lib/libk5crypto.so.3.1
00568000-00605000 r-xp 00000000 08:02 1332780    /usr/lib/libkrb5.so.3.3
00605000-00608000 rw-p 0009c000 08:02 1332780    /usr/lib/libkrb5.so.3.3
006a0000-006e7000 r-xp 00000000 08:02 163931     /lib/libssl.so.0.9.8g
006e7000-006eb000 rw-p 00046000 08:02 163931     /lib/libssl.so.0.9.8g
00796000-00867000 r-xp 00000000 08:02 647148     /usr/lib/libruby.so.1.8.6
00867000-0087f000 rw-p 000d1000 08:02 647148     /usr/lib/libruby.so.1.8.6
0087f000-0088f000 rw-p 0087f000 00:00 0
008f4000-008f6000 r-xp 00000000 08:02 165038     /lib/libcom_err.so.2.1
008f6000-008f7000 rw-p 00001000 08:02 165038     /lib/libcom_err.so.2.1
008f9000-00901000 r-xp 00000000 08:02 1332778
/usr/lib/libkrb5support.so.0.1
00901000-00902000 rw-p 00007000 08:02 1332778
/usr/lib/libkrb5support.so.0.1
00a0b000-00a21000 r-xp 00000000 08:02 163940     /lib/libnsl-2.8.so
00a21000-00a22000 r--p 00015000 08:02 163940     /lib/libnsl-2.8.so
00a22000-00a23000 rw-p 00016000 08:02 163940     /lib/libnsl-2.8.so
00a27000-00a38000 r-xp 00000000 08:02 163942     /lib/libresolv-2.8.so
00a38000-00a39000 r--p 00010000 08:02 163942     /lib/libresolv-2.8.so
00a39000-00a3a000 rw-p 00011000 08:02 163942     /lib/libresolv-2.8.so
00a3a000-00a3c000 rw-p 00a3a000 00:00 0
00a5e000-00a6b000 r-xp 00000000 08:02 164539
/lib/libgcc_s-4.3.0-20080428.so.1
00a6b000-00a6c000 rw-p 0000c000 08:02 164539
/lib/libgcc_s-4.3.0-20080428.so.1
00a6e000-00a9b000 r-xp 00000000 08:02 1332782
/usr/lib/libgssapi_krb5.so.2.2
00a9b000-00a9d000 rw-p 0002d000 08:02 1332782
/usr/lib/libgssapi_krb5.so.2.2
00aa5000-00aa7000 r-xp 00000000 08:02 163941     /lib/libkeyutils-1.2.so
00aa7000-00aa8000 rw-p 00001000 08:02 163941     /lib/libkeyutils-1.2.so
00aeb000-00b07000 r-xp 00000000 08:02 163848     /lib/ld-2.8.so
00b07000-00b08000 r--p 0001c000 08:02 163848     /lib/ld-2.8.so
00b08000-00b09000 rw-p 0001d000 08:02 163848     /lib/ld-2.8.so
00b0b000-00c6e000 r-xp 00000000 08:02 163905     /lib/libc-2.8.so
00c6e000-00c70000 r--p 00163000 08:02 163905     /lib/libc-2.8.so
00c70000-00c71000 rw-p 00165000 08:02 163905     /lib/libc-2.8.so
00c71000-00c74000 rw-p 00c71000 00:00 0
00c76000-00c9d000 r-xp 00000000 08:02 163913     /lib/libm-2.8.so
00c9d000-00c9e000 r--p 00026000 08:02 163913     /lib/libm-2.8.so
00c9e000-00c9f000 rw-p 00027000 08:02 163913     /lib/libm-2.8.so
00ca1000-00ca4000 r-xp 00000000 08:02 163916     /lib/libdl-2.8.so
00ca4000-00ca5000 r--p 00002000 08:02 163916     /lib/libdl-2.8.so
00ca5000-00ca6000 rw-p 00003000 08:02 163916     /lib/libdl-2.8.so
00ca8000-00cbd000 r-xp 00000000 08:02 163934     /lib/libpthread-2.8.so
00cbd000-00cbe000 r--p 00014000 08:02 163934     /lib/libpthread-2.8.so
00cbe000-00cbf000 rw-p 00015000 08:02 163934     /lib/libpthread-2.8.so
00cbf000-00cc1000 rw-p 00cbf000 00:00 0
00ce1000-00cf4000 r-xp 00000000 08:02 163919     /lib/libz.so.1.2.3
00cf4000-00cf5000 rw-p 00012000 08:02 163919     /lib/libz.so.1.2.3
05ad8000-05c0f000 r-xp 00000000 08:02 163685     /lib/libcrypto.so.0.9.8g
05c0f000-05c23000 rw-p 00136000 08:02 163685     /lib/libcrypto.so.0.9.8g
05c23000-05c26000 rw-p 05c23000 00:00 0
06f27000-06f30000 r-xp 00000000 08:02 164540     /lib/libcrypt-2.8.so
06f30000-06f31000 r--p 00009000 08:02 164540     /lib/libcrypt-2.8.so
06f31000-06f32000 rw-p 0000a000 08:02 164540     /lib/libcrypt-2.8.so
06f32000-06f59000 rw-p 06f32000 00:00 0
08048000-08049000 r-xp 00000000 08:02 651199     /usr/bin/ruby
08049000-0804a000 rw-p 00000000 08:02 651199     /usr/bin/ruby
08a88000-09889000 rw-p 08a88000 00:00 0          [heap]
b6e8e000-b72290Aborted
Comment 3 Robert Scheck 2008-06-25 10:06:49 EDT
The stuff segfaults most of the time or shows glibc errors after a few actions.
Comment 4 Robert Scheck 2008-06-25 10:10:23 EDT
Fedora 8:

*** glibc detected *** ruby: free(): invalid pointer: 0x09f471a0 ***
======= Backtrace: =========
/lib/libc.so.6[0x934ac1]
/lib/libc.so.6(cfree+0x90)[0x9380f0]
/usr/lib/libruby.so.1.8[0x156064]
/usr/lib/libruby.so.1.8(rb_newobj+0x65)[0x156155]
/usr/lib/libruby.so.1.8[0x122d97]
/usr/lib/libruby.so.1.8[0x122e04]
/usr/lib/libruby.so.1.8(rb_ary_new4+0x25)[0x124b85]
/usr/lib/libruby.so.1.8[0x14a48e]
/usr/lib/libruby.so.1.8[0x14a752]
/usr/lib/libruby.so.1.8(rb_yield+0x21)[0x14bc81]
/usr/lib/libruby.so.1.8[0x124c44]
/usr/lib/libruby.so.1.8[0x137345]
/usr/lib/libruby.so.1.8[0x13c83c]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147b5e]
/usr/lib/libruby.so.1.8[0x1496c4]
/usr/lib/libruby.so.1.8[0x146f34]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147b5e]
/usr/lib/libruby.so.1.8[0x147a6f]
/usr/lib/libruby.so.1.8[0x14633d]
/usr/lib/libruby.so.1.8[0x14a846]
/usr/lib/libruby.so.1.8(rb_yield+0x21)[0x14bc81]
/usr/lib/libruby.so.1.8[0x124c44]
/usr/lib/libruby.so.1.8[0x137345]
/usr/lib/libruby.so.1.8[0x13c83c]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147b5e]
/usr/lib/libruby.so.1.8[0x148f9f]
/usr/lib/libruby.so.1.8[0x147a6f]
/usr/lib/libruby.so.1.8[0x14633d]
/usr/lib/libruby.so.1.8[0x148cbb]
/usr/lib/libruby.so.1.8[0x1489c9]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147c84]
/usr/lib/libruby.so.1.8[0x148f9f]
/usr/lib/libruby.so.1.8[0x14633d]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147c84]
/usr/lib/libruby.so.1.8[0x14633d]
/usr/lib/libruby.so.1.8[0x14865e]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147c84]
/usr/lib/libruby.so.1.8[0x14865e]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147b5e]
/usr/lib/libruby.so.1.8[0x14a846]
/usr/lib/libruby.so.1.8[0x14b42f]
/usr/lib/libruby.so.1.8[0x13ca07]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x147c84]
/usr/lib/libruby.so.1.8[0x14865e]
/usr/lib/libruby.so.1.8[0x13d116]
/usr/lib/libruby.so.1.8[0x13d568]
/usr/lib/libruby.so.1.8[0x14573b]
/usr/lib/libruby.so.1.8[0x137358]
/usr/lib/libruby.so.1.8[0x13c83c]
/usr/lib/libruby.so.1.8[0x13d568]
======= Memory map: ========
00101000-00103000 r-xp 00000000 fd:01 4030569    /lib/libcom_err.so.2.1
00103000-00104000 rwxp 00001000 fd:01 4030569    /lib/libcom_err.so.2.1
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-001df000 r-xp 00000000 fd:01 4772516    /usr/lib/libruby.so.1.8.6
001df000-001f7000 rwxp 000cd000 fd:01 4772516    /usr/lib/libruby.so.1.8.6
001f7000-00207000 rwxp 001f7000 00:00 0
00207000-0020b000 r-xp 00000000 fd:01 5115519
/usr/lib/ruby/1.8/i386-linux/thread.so
0020b000-0020c000 rwxp 00003000 fd:01 5115519
/usr/lib/ruby/1.8/i386-linux/thread.so
0020c000-00217000 r-xp 00000000 fd:01 5115514
/usr/lib/ruby/1.8/i386-linux/socket.so
00217000-00218000 rwxp 0000a000 fd:01 5115514
/usr/lib/ruby/1.8/i386-linux/socket.so
00218000-0021c000 r-xp 00000000 fd:01 5115515
0021c000-0021d000 rwxp 00003000 fd:01 5115515
/usr/lib/ruby/1.8/i386-linux/stringio.so
0021d000-00238000 r-xp 00000000 fd:01 5115517
/usr/lib/ruby/1.8/i386-linux/syck.so
00238000-00239000 rwxp 0001b000 fd:01 5115517
/usr/lib/ruby/1.8/i386-linux/syck.so
00239000-00242000 r-xp 00000000 fd:01 5115520
/usr/lib/ruby/1.8/i386-linux/zlib.so
00242000-00243000 rwxp 00008000 fd:01 5115520
/usr/lib/ruby/1.8/i386-linux/zlib.so
00243000-00246000 r-xp 00000000 fd:01 5115491
/usr/lib/ruby/1.8/i386-linux/digest.so
00246000-00247000 rwxp 00002000 fd:01 5115491
/usr/lib/ruby/1.8/i386-linux/digest.so
00247000-0024a000 r-xp 00000000 fd:01 5115497
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
0024a000-0024b000 rwxp 00002000 fd:01 5115497
/usr/lib/ruby/1.8/i386-linux/digest/sha2.so
0024b000-00286000 r-xp 00000000 fd:01 5115507
/usr/lib/ruby/1.8/i386-linux/openssl.so
00286000-00288000 rwxp 0003a000 fd:01 5115507
00288000-002b5000 r-xp 00000000 fd:01 4772944
/usr/lib/libgssapi_krb5.so.2.2
002b5000-002b6000 rwxp 0002d000 fd:01 4772944
/usr/lib/libgssapi_krb5.so.2.2
002b6000-002b7000 r-xp 00000000 fd:01 5115501
/usr/lib/ruby/1.8/i386-linux/fcntl.so
002b7000-002b8000 rwxp 00000000 fd:01 5115501
/usr/lib/ruby/1.8/i386-linux/fcntl.so
002b8000-002ba000 r-xp 00000000 fd:01 5115499
/usr/lib/ruby/1.8/i386-linux/enumerator.so
002ba000-002bb000 rwxp 00001000 fd:01 5115499
/usr/lib/ruby/1.8/i386-linux/enumerator.so
002bb000-002f3000 r-xp 00000000 fd:01 5115506
/usr/lib/ruby/1.8/i386-linux/nkf.so
002f3000-002f6000 rwxp 00037000 fd:01 5115506
/usr/lib/ruby/1.8/i386-linux/nkf.so
002f6000-002f7000 rwxp 002f6000 00:00 0
002f7000-00301000 r-xp 00000000 fd:01 5115487
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
00301000-00302000 rwxp 00009000 fd:01 5115487
/usr/lib/ruby/1.8/i386-linux/bigdecimal.so
00302000-00306000 r-xp 00000000 fd:01 5115516
/usr/lib/ruby/1.8/i386-linux/strscan.so
00306000-00307000 rwxp 00004000 fd:01 5115516
/usr/lib/ruby/1.8/i386-linux/strscan.so
00307000-00309000 r-xp 00000000 fd:01 5115500
/usr/lib/ruby/1.8/i386-linux/etc.so
00309000-0030a000 rwxp 00001000 fd:01 5115500
/usr/lib/ruby/1.8/i386-linux/etc.so
0030a000-00310000 r-xp 00000000 fd:01 5116077
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
00310000-00311000 rwxp 00005000 fd:01 5116077
/usr/lib/ruby/site_ruby/1.8/i386-linux/http11.so
00311000-00315000 r-xp 00000000 fd:01 5115962
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
00315000-00316000 rwxp 00003000 fd:01 5115962
/usr/lib/ruby/site_ruby/1.8/i386-linux/fastthread.so
00316000-00318000 r-xp 00000000 fd:01 5115494
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00318000-00319000 rwxp 00001000 fd:01 5115494
/usr/lib/ruby/1.8/i386-linux/digest/md5.so
00319000-0031c000 r-xp 00000000 fd:01 5115509
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
0031c000-0031d000 rwxp 00002000 fd:01 5115509
/usr/lib/ruby/1.8/i386-linux/racc/cparse.so
0031d000-00320000 r-xp 00000000 fd:01 5115503
/usr/lib/ruby/1.8/i386-linux/iconv.so
00320000-00321000 rwxp 00003000 fd:01 5115503
/usr/lib/ruby/1.8/i386-linux/iconv.so
0067a000-0068a000 r-xp 00000000 fd:01 4030500    /lib/libresolv-2.7.so
0068a000-0068b000 r-xp 00010000 fd:01 4030500    /lib/libresolv-2.7.so
0068b000-0068c000 rwxp 00011000 fd:01 4030500    /lib/libresolv-2.7.so
0068c000-0068e000 rwxp 0068c000 00:00 0
00690000-006b5000 r-xp 00000000 fd:01 4772942
/usr/lib/libk5crypto.so.3.1
006b5000-006b6000 rwxp 00025000 fd:01 4772942
/usr/lib/libk5crypto.so.3.1
00717000-00730000 r-xp 00000000 fd:01 4034221    /lib/libselinux.so.1
00730000-00732000 rwxp 00018000 fd:01 4034221    /lib/libselinux.so.1
0089a000-0089c000 r-xp 00000000 fd:01 4034219    /lib/libkeyutils-1.2.so
0089c000-0089d000 rwxp 00001000 fd:01 4034219    /lib/libkeyutils-1.2.so
008ac000-008c7000 r-xp 00000000 fd:01 4034201    /lib/ld-2.7.so
008c7000-008c8000 r-xp 0001a000 fd:01 4034201    /lib/ld-2.7.so
008c8000-008c9000 rwxp 0001b000 fd:01 4034201    /lib/ld-2.7.so
008cb000-00a1e000 r-xp 00000000 fd:01 4034202    /lib/libc-2.7.so
00a1e000-00a20000 r-xp 00153000 fd:01 4034202    /lib/libc-2.7.so
00a20000-00a21000 rwxp 00155000 fd:01 4034202    /lib/libc-2.7.so
00a21000-00a24000 rwxp 00a21000 00:00 0
00a26000-00a4d000 r-xp 00000000 fd:01 4034206    /lib/libm-2.7.so
00a4d000-00a4e000 r-xp 00026000 fd:01 4034206    /lib/libm-2.7.so
00a4e000-00a4f000 rwxp 00027000 fd:01 4034206    /lib/libm-2.7.so
00a51000-00a54000 r-xp 00000000 fd:01 4034203    /lib/libdl-2.7.so
00a54000-00a55000 r-xp 00002000 fd:01 4034203    /lib/libdl-2.7.so
00a55000-00a56000 rwxp 00003000 fd:01 4034203    /lib/libdl-2.7.so
00a58000-00a6d000 r-xp 00000000 fd:01 4034204    /lib/libpthread-2.7.so
00a6d000-00a6e000 r-xp 00014000 fd:01 4034204    /lib/libpthread-2.7.so
00a6e000-00a6f000 rwxp 00015000 fd:01 4034204    /lib/libpthread-21000 rw-p
b6c00000 00:00 0
b6c21000-b6d00000 ---p b6c21000 00:00 0
b6d64000-b70ff000 rw-p b6d64000 00:00 0
b70ff000-b7100000 ---p b70ff000 00:00 0
b7100000-b7f4a000 rw-p b7100000 00:00 0
b7f57000-b7f5d000 rw-p b7f57000 00:00 0
bff56000-bff89000 rw-p bffcc000 00:00 0          [stack]
Aborted
Comment 5 Craig White 2008-06-25 19:45:29 EDT
agreed...I had to reload 1.8.6.114-1.fc9.i386 in order to function
Comment 6 Akira TAGOH 2008-06-25 21:36:24 EDT
I see the backtrace. I don't think more backtraces helps something.
So didn't 1.8.6.230-2 help? you said that happens very often. but that's not
useful information for me. what exactly did you do?
Comment 7 Craig White 2008-06-25 21:46:00 EDT
I'd install 1.8.6.230-2 but I don't see it in rawhide. Do you have a link?
Comment 8 Akira TAGOH 2008-06-25 22:00:33 EDT
For rawhide, http://koji.fedoraproject.org/koji/buildinfo?buildID=53764
Comment 9 Akira TAGOH 2008-06-25 22:12:11 EDT
Hm, it seems not. not yet fixed in even upstream.
Comment 10 Craig White 2008-06-25 22:26:31 EDT
sorry...I did mean fedora 9 and I got them from here...

http://koji.fedoraproject.org/koji/buildinfo?buildID=53758

1.8.6.230-2 has same issues - will provide backtrace if desired
Comment 11 Robert Scheck 2008-06-26 01:44:42 EDT
ruby-1.8.6.230-1 is same buggy AKA unusable as ruby-1.8.6.230-2 for me. I set
up a Ruby on Rails without any specials and after a few mouse click on the web
interface, I tried to develop, I'm getting these breakdowns, glibc catchups or
just segmentation faults (which are more often happening). It needs for me in
most of the cases not more than 10 mouse clicks on the ruby website. Looks like
Craig has the same problems like me? :)
Comment 12 Akira TAGOH 2008-06-26 03:03:21 EDT
The root cause is the change made in -p190 and not yet fixed in even upstream
and the discussion in upstream is ongoing. FYI.
Comment 13 Robert Scheck 2008-06-26 04:28:45 EDT
I had to go back to ruby-1.8.6.114-1, that one works. Everything newer is 
currently 100% broken for me, non-usable with Ruby on Rails. Is it possible,
that the ruby upstream doesn't really know what they're doing? ;-)
Comment 14 Akira TAGOH 2008-06-26 21:51:08 EDT
*** Bug 453060 has been marked as a duplicate of this bug. ***
Comment 15 Efren Yevale 2008-06-27 11:08:48 EDT
Considering the discussion in upstream is ongoing...

>> There are now fixed ruby1.8 packages in Ubuntu, which appear to be working
ok. Note that these are the old releases with the array/string patches backported.

Can something like this be done in Fedora?.
Comment 16 Craig White 2008-06-27 11:57:56 EDT
I agree that something should be done because I've had to manually move back
both of my 'development' systems and anyone who runs rails on F8/F9 and updates
is basically toast
Comment 17 Akira TAGOH 2008-06-30 06:38:16 EDT
should be fixed in 1.8.6.230-3
Comment 18 Fedora Update System 2008-06-30 06:44:30 EDT
ruby-1.8.6.230-3.fc9 has been submitted as an update for Fedora 9
Comment 19 Robert Scheck 2008-06-30 06:57:33 EDT
And Fedora 8?
Comment 20 Fedora Update System 2008-06-30 07:05:46 EDT
ruby-1.8.6.230-3.fc8 has been submitted as an update for Fedora 8
Comment 21 Akira TAGOH 2008-06-30 21:30:34 EDT
*** Bug 453494 has been marked as a duplicate of this bug. ***
Comment 22 Anthony Green 2008-06-30 22:28:46 EDT
(In reply to comment #18)
> ruby-1.8.6.230-3.fc9 has been submitted as an update for Fedora 9

Thanks.  I just built/installed this from the fedora cvs repo and can confirm
that it fixes things.

Comment 23 Fedora Update System 2008-07-01 01:26:09 EDT
ruby-1.8.6.230-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2008-07-01 01:29:34 EDT
ruby-1.8.6.230-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2008-07-26 02:11:32 EDT
ruby-1.8.6.230-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.